package jp.co.jid.exec.collection;

import java.util.HashMap;

public class Shop01 {

	// 店舗名
	private HashMap<String, String> names = new HashMap<String, String>() {
        {
            put("A01", "本部");
            put("A02", "博多店");
            put("A03", "箱崎店");
            put("A04", "香椎店");
            put("A05", "小倉店");
            put("A06", "門司店");
            put("A07", "大野城店");
            put("A08", "大宰府店");
            put("A09", "小郡店");
            put("A10", "久留米店");
            put("A11", "朝倉店");
            put("A12", "大牟田店");
        }
    };

	/**
	 * キーから店舗名を取得
	 * 存在しない場合は、「店舗無」を返却
	 * @param key
	 * @return
	 */
	public String getName(String key) {
		if (!names.containsKey(key)) {
			return "店舗無";
		}
		return names.get(key);
	}
}

